<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/beatles">
		<xsl:text>&#10;</xsl:text>
		<xsl:processing-instruction name="xml-stylesheet">
			<xsl:text>href="Artists.xsl" type="text/xsl"</xsl:text>
		</xsl:processing-instruction>
		<xsl:text>&#10;</xsl:text>
		<Artists>
			<xsl:apply-templates/>
		</Artists>
	</xsl:template>
	<xsl:template match="beatle">
		<Artist>
			<FirstName>
				<xsl:value-of select="name/firstname"/>
			</FirstName>
			<LastName>
				<xsl:value-of select="name/lastname"/>
			</LastName>
		</Artist>
	</xsl:template>
</xsl:stylesheet>