<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:bea="http://webucator.com/beatles"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xhtml" indent="yes"/>
	<xsl:template match="/">
		<html>
			<body>
				<h1>Beatles</h1>
				<ul>
					<xsl:apply-templates select="bea:beatles/bea:beatle">
						<xsl:sort select="bea:lastname"/>
					</xsl:apply-templates>
				</ul>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="bea:beatle">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<xsl:template match="bea:name">
		<xsl:value-of select="bea:lastname"/>,
		<xsl:value-of select="bea:firstname"/>
	</xsl:template>
</xsl:stylesheet>