<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xhtml" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Largest Cities in the United States</title>
			</head>
			<body>
			<h1>Largest Cities in the United States</h1>
			<ol>
				<xsl:for-each select="//City">
					<xsl:variable name="State" select="@State"/>
					<li>
						<xsl:value-of select="."/>
						<xsl:text> is in the state of </xsl:text>
						<xsl:value-of select="//States/State[@Abbr=$State]"/>
						<xsl:text> and has a population of </xsl:text>
						<xsl:value-of select="format-number(@Population,'#,###')"/>
						<xsl:text>.</xsl:text>
					</li>
				</xsl:for-each>
			</ol>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>