<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="beatle">
		<xsl:result-document href="{name/firstname}-{name/lastname}.html">
			<xsl:variable name="BeatleName">
				<xsl:value-of select="name/firstname"/>
				<xsl:text> </xsl:text>
				<xsl:value-of select="name/lastname"/>
			</xsl:variable>
			<html>
				<head>
					<title><xsl:value-of select="$BeatleName"/></title>
				</head>
				<body>
					<h1><xsl:value-of select="$BeatleName"/></h1>
					<p>Link: <xsl:value-of select="@link"/></p>
				</body>
			</html>
		</xsl:result-document>
	</xsl:template>
</xsl:stylesheet>