<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="PeopleRecords">
		<PeopleRecords>
			<xsl:apply-templates/>
		</PeopleRecords>
	</xsl:template>
	<xsl:template match="Record">
		<Record>
			<xsl:analyze-string select="." regex="(\d{{3}})\-(\d{{3}}\-\d{{4}})">
				<xsl:matching-substring>
					<Phone>
						<AreaCode><xsl:value-of select="regex-group(1)"/></AreaCode>
						<Number><xsl:value-of select="regex-group(2)"/></Number>
					</Phone>
				</xsl:matching-substring>
				<xsl:non-matching-substring>
					<xsl:value-of select="."/>
				</xsl:non-matching-substring>
			</xsl:analyze-string>
		</Record>
	</xsl:template>
</xsl:stylesheet>