<?xml version="1.0"?>
<xsl:stylesheet version="2.0" 
				xmlns:web="http://www.webucator.com"
            xmlns:xs="http://www.w3.org/2001/XMLSchema"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
	<html>
		<head>
			<title>Beatles</title>
		</head>
		<body>
			<table border="1">
			<xsl:for-each select="beatles/beatle">
				<tr>
				<td><a href="{@link}"><xsl:value-of select="web:format-name(.)"/></a></td>
				</tr>
			</xsl:for-each>
			</table>
		</body>
	</html>
</xsl:template>

<xsl:function name="web:format-name" as="xs:string?">
	<xsl:param name="beatle" as="element(beatle)?"/>
	<xsl:value-of select="concat($beatle/name/lastname, ', ', $beatle/name/firstname)"/>
</xsl:function>

</xsl:stylesheet>