<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
	<XPathTests>
		<!--Output the value of the FirstName child of the first Name element that doesn't have a Title attribute-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the street number of Webucator Inc's street address (i.e, 4933)-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the address of Webucator Inc, with each part of the address separated by a comma-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the paragraph text of the paragraph that contains Bill Smith's email address-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the number of elements contained in Joshua Lockwood's Address-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the number of elements that directly contain the word "Lockwood" (should be 3)-->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
		<!--Output the distinct values of the FirstName elements in the letter -->
		<XPathTest><xsl:value-of select="XPATH"/></XPathTest>
		
	</XPathTests>
	</xsl:template>
</xsl:stylesheet>