<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xhtml" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Artists</title>
			</head>
			<body>
				<h1>Artists</h1>
				<table>
						<tr>
							<th>First Name</th>
							<th>Last Name</th>
						</tr>
						<xsl:apply-templates/>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Artist">
		<tr>
			<td><xsl:value-of select="FirstName"/></td>
			<td><xsl:value-of select="LastName"/></td>
		</tr>
	</xsl:template>
</xsl:stylesheet>