<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xpath-default-namespace="http://webucator.com/beatles"
				xmlns:bea2="http://webucator.com/beatles2"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
		<bea2:listOfBeatles>
			<xsl:apply-templates select="beatles/beatle">
				<xsl:sort select="lastname"/>
			</xsl:apply-templates>
		</bea2:listOfBeatles>
	</xsl:template>
	<xsl:template match="beatle">
		<bea2:beatle>
			<xsl:value-of select="name/lastname"/>,
			<xsl:value-of select="name/firstname"/>
		</bea2:beatle>
	</xsl:template>
</xsl:stylesheet>