<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	
	<xsl:template match="/">
		<Stories>
			<xsl:for-each-group  select="Stories/*" group-starting-with="h2">
				<Story>
					<Title><xsl:value-of select="current-group()[self::h2]"/></Title>
					<Author><xsl:value-of select="current-group()[self::h3]"/></Author>
					<Content>
					  <xsl:copy-of select="current-group()[self::p]"/>
					</Content>
				</Story>
			</xsl:for-each-group>
		</Stories>
	</xsl:template>
	
</xsl:stylesheet>