<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:key name="keyCity" match="City" use="@State"/>
	<xsl:param name="State" select="'NY'"/>
	<xsl:template match="/">
		<Cities>
			<xsl:for-each select="key('keyCity',$State)">
				<City><xsl:value-of select="."/></City>
			</xsl:for-each>
		</Cities>
	</xsl:template>
</xsl:stylesheet>