<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
			 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:key name="keySong" match="Song" use="@Artist"/>
	<xsl:template match="/">
		<IDs>
			<ID>
				<xsl:value-of select="Songs/Song[2]"/>
				<xsl:text>: </xsl:text>
				<xsl:value-of select="generate-id(Songs/Song[2])"/>
			</ID>
			<ID>
				<xsl:value-of select="Songs/Song[.='Satisfaction']"/>
				<xsl:text>: </xsl:text>
				<xsl:value-of select="generate-id(Songs/Song[.='Satisfaction'])"/>
			</ID>
			<ID>
				<xsl:value-of select="Songs/Song[@Artist='Rolling Stones']"/>
				<xsl:text>: </xsl:text>
				<xsl:value-of 
					select="generate-id(Songs/Song[@Artist='Rolling Stones'])"/>
			</ID>
			<ID>
				<xsl:value-of select="key('keySong','Rolling Stones')"/>
				<xsl:text>: </xsl:text>
				<xsl:value-of select="generate-id(key('keySong','Rolling Stones'))"/>
			</ID>
			<ID>
				<xsl:value-of select="Songs/Song[starts-with(@Artist,'R')]"/>
				<xsl:text>: </xsl:text>
				<xsl:value-of 
					select="generate-id(Songs/Song[starts-with(@Artist,'R')])"/>
			</ID>
		</IDs>
	</xsl:template>
</xsl:stylesheet>