<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xhtml" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>The Beatles</title>
			</head>
			<body>
				<h1 align="center">THE BEATLES</h1>
				<div align="center">
					<xsl:apply-templates mode="links"/>
				</div>
				<hr/>
				<xsl:apply-templates mode="body"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="beatle" mode="links">
		<a href="#{name/firstname}"><img src="{@image}" border="0"
				title="{name/firstname} {name/lastname}"/></a>
	</xsl:template>
	<xsl:template match="beatle" mode="body">
		<a name="{name/firstname}"></a>
		<h2>
			<xsl:value-of select="name/firstname"/>
			<xsl:text> </xsl:text>
			<xsl:value-of select="name/lastname"/>
		</h2>
		<p><xsl:value-of select="bio"/></p>
	</xsl:template>
</xsl:stylesheet>