<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:variable name="lc">abcdefghijklmnopqrstuvwxyz</xsl:variable>
	<xsl:variable name="uc">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
	<xsl:variable name="Band" 
		select="translate(name(/*[1]),$lc,$uc)"/>
	<xsl:template match="/">
		<html>
			<head>
				<title><xsl:value-of select="$Band"/></title>
			</head>
			<body>
				<h1 align="center"><xsl:value-of select="$Band"/></h1>
				<ul>
					<xsl:for-each select="//beatle">
						<li>
							<xsl:value-of select="name/firstname"/>
							<xsl:text> </xsl:text>
							<xsl:value-of select="name/lastname"/>
						</li>
					</xsl:for-each>
				</ul>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>