<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text"/>
	
<xsl:template match="firstname[following-sibling::lastname]">
	<xsl:value-of select="name()"/>: 
		We found a first name followed by a last name! 
</xsl:template>

<xsl:template match="name/firstname">
	<xsl:value-of select="name()"/>: 
		We found a first name in a name element! 
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="text()"/>
</xsl:stylesheet>